
/* Chrysalide - Outil d'analyse de fichiers binaires
 * arm.h - prototypes pour le désassemblage des instructions ARMv7
 *
 * Copyright (C) 2014-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ARCH_ARM_V7_ARM_H
#define _ARCH_ARM_V7_ARM_H


#include "../../instruction.h"



/* Désassemble une instruction ARMv7 liées au chapitre A5.1. */
GArchInstruction *process_armv7_arm_instruction_set_encoding(uint32_t raw);



#endif  /* _ARCH_ARM_V7_ARM_H */
