
/* Chrysalide - Outil d'analyse de fichiers binaires
 * global.h - prototypes pour la conservation de variables globales à vocation graphique
 *
 * Copyright (C) 2016-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _GUI_CORE_GLOBAL_H
#define _GUI_CORE_GLOBAL_H


#include "../../gtkext/gtkstatusstack.h"



/* Note l'adresse de la barre de statut principale. */
void set_global_status(GtkStatusStack *);

/* Fournit l'adresse de la barre de statut principale. */
GtkStatusStack *get_global_status(void);



#endif  /* _GUI_CORE_GLOBAL_H */
